%define oname grantlee

Summary:	Qt string template engine based on the Django template system
Name:		%{oname}-qt5
Version:	5.0.0
Release:	2
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://www.gitorious.org/grantlee/pages/Home
Source0:	http://downloads.grantlee.org/%{oname}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)

%description
Grantlee is a plugin based String Template system written using the Qt
framework. The goals of the project are to make it easier for application
developers to separate the structure of documents from the data they
contain, opening the door for theming.

The syntax is intended to follow the syntax of the Django template
system, and the design of Django is reused in Grantlee. Django is covered
by a BSD style license.

Part of the design of both is that application developers can extend the
syntax by implementing their own tags and filters. For details of how to
do that, see the API documentation.

For template authors, different applications using Grantlee will present
the same interface and core syntax for creating new themes. For details
of how to write templates, see the documentation.

#----------------------------------------------------------------------------

# Should be possible to install both 32 and 64 bit package
%define modules %mklibname %{name}-modules

%package -n %{modules}
Summary:	Modules for Qt string template engine based on the Django template system
Group:		System/Libraries

%description -n %{modules}
Modules for Qt string template engine based on the Django template system

%files -n %{modules}
%doc AUTHORS CHANGELOG COPYING.LIB README
%{_libdir}/%{oname}/5.0/*.so

#----------------------------------------------------------------------------

%define templates_major 5
%define libtemplates %mklibname Grantlee_Templates %{templates_major}

%package -n %{libtemplates}
Summary:	Shared library for %{name}
Group:		System/Libraries
Requires:	%{modules}

%description  -n %{libtemplates}
Shared library for %{name}.

%files -n %{libtemplates}
%{_libdir}/libGrantlee_Templates.so.%{templates_major}*

#----------------------------------------------------------------------------

%define textdocument_major 5
%define libtextdocument %mklibname Grantlee_TextDocument %{textdocument_major}

%package -n %{libtextdocument}
Summary:	Shared library for %{name}
Group:		System/Libraries
Requires:	%{modules}

%description  -n %{libtextdocument}
Shared library for %{name}.

%files -n %{libtextdocument}
%{_libdir}/libGrantlee_TextDocument.so.%{textdocument_major}*

#----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libtemplates} = %{EVRD}
Requires:	%{libtextdocument} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	grantlee5-devel = %{EVRD}
# Qt4-based version
Conflicts:	%{oname}-devel

%description -n %{devname}
Libraries and header files to develop applications that use %{name}.

%files -n %{devname}
%{_libdir}/cmake/Grantlee5
%{_includedir}/%{oname}
%{_includedir}/%{oname}_textdocument.h
%{_includedir}/%{oname}_templates.h
%{_libdir}/libGrantlee_Templates.so
%{_libdir}/libGrantlee_TextDocument.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_qt5
%make

%install
%makeinstall_std -C build


%changelog

* Tue Feb 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.0.0-2
- (cce16d4) Add modules subpackage (should be possible to install both 32 and 64 bit package)


